> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Broadcast Field Entries

> Update field entries for broadcast recipients. Replaces any existing entries for this broadcast.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json patch /orgs/{org_id}/broadcasts/{broadcast_id}/fields/entries
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/broadcasts/{broadcast_id}/fields/entries:
    patch:
      tags:
        - Orgs Broadcasts
      summary: Update Broadcast Field Entries
      description: >-
        Update field entries for broadcast recipients. Replaces any existing
        entries for this broadcast.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Broadcast ID
          name: broadcast_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBroadcastFieldEntriesSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UpdateBroadcastFieldEntriesSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateBroadcastFieldEntriesResultSchema'
components:
  schemas:
    UpdateBroadcastFieldEntriesSchema:
      type: object
      properties:
        entries:
          type: array
          items:
            type: object
            properties:
              user_id:
                type: string
                maxLength: 1024
                description: The user ID of the contact channel
              email:
                type: string
                maxLength: 256
                description: The email for the contact channel (e.g. user@example.com)
              phone:
                type: string
                maxLength: 256
                description: The phone number for the contact channel (e.g. +1234567890)
              values:
                $ref: '#/components/schemas/BroadcastFieldValue'
            required:
              - values
          maxItems: 50000
      required:
        - entries
      description: Schema for importing broadcast field entries
    UpdateBroadcastFieldEntriesResultSchema:
      type: object
      properties:
        fields_count:
          type: number
        entries_count:
          type: number
      required:
        - fields_count
        - entries_count
    BroadcastFieldValue:
      type: object
      additionalProperties:
        type: string
        maxLength: 2048
      description: A record of field keys and values per broadcast contact
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````